Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.util.lookup
Class AbstractLookup

    java.lang.Object
      org.openide.util.Lookup
          org.openide.util.lookup.AbstractLookup

All Implemented Interfaces:
  Serializable

    public class AbstractLookup

extends Lookup
implements Serializable

Implementation of the lookup from OpenAPIs that is based on the introduction of Item. This class should provide the default way of how to store (Class, Object) pairs in the lookups. It offers protected methods for subclasses to register the pairs.

Serializable since 3.27.

Since:
  1.9
See Also:
  Serialized Form

Nested Class Summary
`static class` | `AbstractLookup.Content` A class that can be used by the creator of the AbstractLookup to control its content.
`static class` | `AbstractLookup.Pair` Extension to the default lookup item that offers additional information for the data structures use in AbstractLookup

Nested classes/interfaces inherited from class org.openide.util.Lookup
`Lookup.Item, Lookup.Provider, Lookup.Result, Lookup.Template`

Field Summary

Fields inherited from class org.openide.util.Lookup
`EMPTY`

Constructor Summary
`protected` | `AbstractLookup()` Default constructor for subclasses that do not need to provide a content
`` | `AbstractLookup(AbstractLookup.Content content)` Constructor to create this lookup and associate it with given Content.

Method Summary
`protected void` | `addPair(AbstractLookup.Pair pair)` The method to add instance to the lookup with.
`protected void` | `beforeLookup(Lookup.Template template)` Notifies subclasses that a query is about to be processed.
`protected void` | `initialize()` Method for subclasses to initialize them selves.
`Object` | `lookup(Class clazz)` Look up an object matching a given interface.
`Lookup.Result` | `lookup(Lookup.Template template)` The general lookup method.
`Lookup.Item` | `lookupItem(Lookup.Template template)` Look up the first item matching a given template.
`protected void` | `removePair(AbstractLookup.Pair pair)` Remove instance.
`protected void` | `setPairs(Collection collection)` Changes all pairs in the lookup to new values.
`String` | `toString()`

Methods inherited from class org.openide.util.Lookup
`getDefault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractLookup

    public AbstractLookup(AbstractLookup.Content content)

  Constructor to create this lookup and associate it with given Content. The content than allows the creator to invoke protected methods which are not accessible for any other user of the lookup.

  Parameters:
    `content` - the content to assciate with
  Since:
    1.25

### AbstractLookup

    protected AbstractLookup()

  Default constructor for subclasses that do not need to provide a content

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### initialize

    protected void initialize()

  Method for subclasses to initialize them selves.

### beforeLookup

    protected void beforeLookup(Lookup.Template template)

  Notifies subclasses that a query is about to be processed.

  Parameters:
    `template` - the template

### addPair

    protected final void addPair(AbstractLookup.Pair pair)

  The method to add instance to the lookup with.

  Parameters:
    `pair` - class/instance pair

### removePair

    protected final void removePair(AbstractLookup.Pair pair)

  Remove instance.

  Parameters:
    `pair` - class/instance pair

### setPairs

    protected final void setPairs(Collection collection)

  Changes all pairs in the lookup to new values.

  Parameters:
    `collection` - the collection of (Pair) objects

### lookup

    public final Object lookup(Class clazz)

  Description copied from class: `Lookup`
  Look up an object matching a given interface. This is the simplest method to use. If more than one object matches, one will be returned arbitrarily. The template class may be a class or interface; the instance is guaranteed to be assignable to it.

  Specified by:
    `lookup` in class `Lookup`
  Parameters:
    `clazz` - class of the object we are searching for
  Returns:
    an object implementing the given class or `null` if no such implementation is found

### lookupItem

    public final Lookup.Item lookupItem(Lookup.Template template)

  Description copied from class: `Lookup`
  Look up the first item matching a given template. Includes not only the instance but other associated information.

  Overrides:
    `lookupItem` in class `Lookup`
  Parameters:
    `template` - the template to check
  Returns:
    a matching item or `null`

### lookup

    public final Lookup.Result lookup(Lookup.Template template)

  Description copied from class: `Lookup`
  The general lookup method. Callers can get list of all instances and classes that match the given `template`, request more info about them in form of `Lookup.Item` and attach a listener to this be notified about changes. The general interface does not specify whether subsequent calls with the same template produce new instance of the `Lookup.Result` or return shared instance. The prefered behaviour however is to return shared one.

  Specified by:
    `lookup` in class `Lookup`
  Parameters:
    `template` - a template describing the services to look for
  Returns:
    an object containing the results

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.